play.cache

## Class MemcachedImpl

- java.lang.Object
- - play.cache.MemcachedImpl

- All Implemented Interfaces:
    CacheImpl

      public class MemcachedImpl
      extends java.lang.Object
      implements CacheImpl

  Memcached implementation (using http://code.google.com/p/spymemcached/) expiration is specified in seconds

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.String key, java.lang.Object value, int expiration)`
    `void` | `clear()`
    `long` | `decr(java.lang.String key, int by)`
    `void` | `delete(java.lang.String key)`
    `java.lang.Object` | `get(java.lang.String key)`
    `java.util.Map<java.lang.String,java.lang.Object>` | `get(java.lang.String[] keys)`
    `static MemcachedImpl` | `getInstance()`
    `static MemcachedImpl` | `getInstance(boolean forceClientInit)`
    `long` | `incr(java.lang.String key, int by)`
    `void` | `initClient()`
    `void` | `replace(java.lang.String key, java.lang.Object value, int expiration)`
    `boolean` | `safeAdd(java.lang.String key, java.lang.Object value, int expiration)`
    `boolean` | `safeDelete(java.lang.String key)`
    `boolean` | `safeReplace(java.lang.String key, java.lang.Object value, int expiration)`
    `boolean` | `safeSet(java.lang.String key, java.lang.Object value, int expiration)`
    `void` | `set(java.lang.String key, java.lang.Object value, int expiration)`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static MemcachedImpl getInstance()
                                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getInstance

          public static MemcachedImpl getInstance(boolean forceClientInit)
                                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### initClient

          public void initClient()
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### add

          public void add(java.lang.String key,
                          java.lang.Object value,
                          int expiration)

      Specified by:
        `add` in interface `CacheImpl`

    - #### get

          public java.lang.Object get(java.lang.String key)

      Specified by:
        `get` in interface `CacheImpl`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `CacheImpl`

    - #### delete

          public void delete(java.lang.String key)

      Specified by:
        `delete` in interface `CacheImpl`

    - #### get

          public java.util.Map<java.lang.String,java.lang.Object> get(java.lang.String[] keys)

      Specified by:
        `get` in interface `CacheImpl`

    - #### incr

          public long incr(java.lang.String key,
                           int by)

      Specified by:
        `incr` in interface `CacheImpl`

    - #### decr

          public long decr(java.lang.String key,
                           int by)

      Specified by:
        `decr` in interface `CacheImpl`

    - #### replace

          public void replace(java.lang.String key,
                              java.lang.Object value,
                              int expiration)

      Specified by:
        `replace` in interface `CacheImpl`

    - #### safeAdd

          public boolean safeAdd(java.lang.String key,
                                 java.lang.Object value,
                                 int expiration)

      Specified by:
        `safeAdd` in interface `CacheImpl`

    - #### safeDelete

          public boolean safeDelete(java.lang.String key)

      Specified by:
        `safeDelete` in interface `CacheImpl`

    - #### safeReplace

          public boolean safeReplace(java.lang.String key,
                                     java.lang.Object value,
                                     int expiration)

      Specified by:
        `safeReplace` in interface `CacheImpl`

    - #### safeSet

          public boolean safeSet(java.lang.String key,
                                 java.lang.Object value,
                                 int expiration)

      Specified by:
        `safeSet` in interface `CacheImpl`

    - #### set

          public void set(java.lang.String key,
                          java.lang.Object value,
                          int expiration)

      Specified by:
        `set` in interface `CacheImpl`

    - #### stop

          public void stop()

      Specified by:
        `stop` in interface `CacheImpl`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly